"""
Rich Text elements can be used to enhance text-based messages with
code, list, quotations and formatted text (including options not
available in traditional markdown like strikethrough).

These formatting elements can only be used within a
[`RichTextBlock`](/slackblocks/reference/blocks/#blocks.RichTextBlock).

See: <https://api.slack.com/reference/block-kit/blocks#rich_text>.
"""

from .elements import (
    RichText,
    RichTextChannel,
    RichTextElement,
    RichTextEmoji,
    RichTextLink,
    RichTextUser,
    RichTextUserGroup,
)
from .objects import (
    ListType,
    RichTextCodeBlock,
    RichTextList,
    RichTextObject,
    RichTextQuote,
    RichTextSection,
)
